#ifndef POOLCONTAINERMANAGERFACTORY_H
#define POOLCONTAINERMANAGERFACTORY_H

#include <string>

namespace coral {

  class ISchema;
}

namespace pool {

  class Properties;
  
  namespace RelationalStorageService {

    class PoolBaseContainerManager;
    class MappingManager;
    class MappingSequence;
    class MappingInformation;

    class PoolContainerManagerFactory {
    public:
      static PoolBaseContainerManager* newPrimitivesContainer( int containerId,
                                                               coral::ISchema& schema,
                                                               const std::string& containerTableName );

      static PoolBaseContainerManager* newHomogeneousContainer( int containerId,
                                                                const std::string& containerName,
                                                                const std::string& className,
                                                                const std::string& creationMappingVersion,
                                                                coral::ISchema& schema,
                                                                MappingSequence& mappingSequences,
                                                                pool::Properties& dbProperties);

      static PoolBaseContainerManager* newPolymorphicContainer( int containerId,
                                                                const std::string& containerName,
                                                                coral::ISchema& schema,
                                                                const std::string& containerTableName,
                                                                MappingSequence& mappingSequences );
    };
  }
}


#endif
